<?php

ob_start();

session_start();

include "configbd.php";

$idnucleo = $_SESSION["idnucleo"];

$idcurso = $_SESSION['id_curso']; 

$idregional =  $_SESSION['idregional']; 

$categoria = $_POST["categoria"];

$mes_referencia = $_POST["mes_referencia"];

$ano_referencia = $_POST["ano_referencia"];

$dias_letivos = $_POST["dias_letivos"];

$categoria = $_POST["categoria"];

$mes_atividades = $mes_referencia;

$ano_atividades= $ano_referencia;

$hoje = date('Y-m-d');

$operador = $_SESSION['operador'];







function calcula_idade($data_nascimento) {



    $data_nasc = explode('-', $data_nascimento);

    $data = date('Y-m-d');

    $data = explode("-", $data);

    $anos = $data[0] - $data_nasc[0];

    

    if ($data_nasc[1] >= $data[1]){

        if ($data_nasc[2] <= $data[2]){

            return $anos; break;

        } else {

            return $anos-1;

            break;

        } 

    } else {

        return $anos;

    } 

}











$data_fim= date($ano_referencia."-".$mes_referencia."-t 00:00:01");



$data_inicio = $ano_atividades."-".$mes_atividades."-1 00:00:01";



if($categoria==1){

$categoria_update="coordenadores";	



}

if($categoria==2){

$categoria_update="professores";	

}

if($categoria==3){

$categoria_update="alunos";	

}



$id = $_POST['id'];

$cpf = $_POST['cpf'];

$nome = $_POST['nome'];

$presenca = $_POST['presenca'];

$nascimento = $_POST['nascimento'];

$etnia = $_POST['etnia'];

$ingresso_nucleo = $_POST['ingresso_nucleo'];

$renda = $_POST['renda'];

$idmdl = $_POST['id_mdl'];





foreach(array($id) as $info1){

foreach(array($nome) as $info2){

foreach(array($cpf) as $info3){

foreach(array($presenca) as $info4){

for($i = 0; $i < count($info1); $i++) {



if($info4[$i]> $dias_letivos){

	

	echo "<script>";

echo "alert('OS DIA DE PRESENÇA DE ALUNO NAO PODEM SER MAIORES QUE DIAS LETIVOS DO NÚCLEO !');";

echo "window.close();";



echo"</script>";



exit;



	

	

}



}

}

}

}

}









//3- CALCULA ATIVIDADES MOODLE

include "../conexao_mdl.php";





// criar time stamps

$formated_datetime_inicio = DATE($data_inicio);

$formated_datetime_fim = DATE($data_fim);



//converter para UNIX TIME

$unix_timestamp_inicio = STRTOTIME($formated_datetime_inicio);

$unix_timestamp_fim = STRTOTIME($formated_datetime_fim);







$sql_verifica= "select * from senuc_frequencias where idnucleo = '$idnucleo' and mes='$mes_referencia' and ano='$ano_referencia' and categoria='$categoria'";

$resultado = mysql_query($sql_verifica,$conexao1);

$linhas = mysql_num_rows($resultado);

if($linhas==0){



foreach(array($id) as $info1){

foreach(array($nome) as $info2){

foreach(array($cpf) as $info3){

foreach(array($presenca) as $info4){

$total_pessoas = count($info1);

for($i = 0; $i < count($info1); $i++) {



//echo $info2[$i].','.$info3[$i].','.$info4[$i].' / - /';

$sql="INSERT INTO senuc_frequencias (categoria,nome,cpf,presencas,ano,mes,dias_abertura,idnucleo,data_insercao,operador,idregional)  values('".$categoria."','".$info2[$i]."','".$info3[$i]."','".$info4[$i]."','".$ano_referencia."','".$mes_referencia."','".$dias_letivos."','".$idnucleo."','".$hoje."','".$operador."','".$idregional."')";

$result = mysql_query($sql,$conexao1)or die (mysql_error()."ERRO 1");;





}

}

}

}

}









foreach(array($id) as $info1){

foreach(array($nome) as $info2){

foreach(array($cpf) as $info3){

foreach(array($presenca) as $info4){

foreach(array($nascimento) as $info5){

foreach(array($etnia) as $info6){

foreach(array($renda) as $info7){

foreach(array($ingresso_nucleo) as $info8){

foreach(array($idmdl) as $info9){

$total_pessoas = count($info1);

for($i = 0; $i < count($info1); $i++) {

$soma=0;

$acoes_afirmativas=0;

$tempo=0;

$n_quiz= 0;

$n_realizada=0;

$score=0;

//INSERE EM SCORE_GERAL











//CALUCLA TEMPO NUCLEO



$datetime1 = date_create($info8[$i]);

$datetime2 = date_create($hoje);

$interval = date_diff($datetime1, $datetime2);

$tempo = $interval->format('%a');





//CALCULO AÇOES AFIRMATIVAS



$soma = $soma + $tempo;



if($info6[$i]==3 || $info6[$i]==5){$soma=$soma+100; }

if($info6[$i]==2){$soma=$soma+150; }

if($info6[$i]==1 || $info6[$i]==4){$soma=$soma+200; }

if($info7[$i]==1 ){$soma=$soma+200; }

if($info7[$i]==2 ){$soma=$soma+150; }

if($info7[$i]==3 ){$soma=$soma+100; }

if($info7[$i]==4 ){$soma=$soma+50; }

$soma = $soma + (calcula_idade($info5[$i])*15); 



$acoes_afirmativas= $soma;





//150+100+200

//echo $info2[$i].','.$info3[$i].','.$info4[$i].' / - /';







$sql_atividade= "select count(*) as n_quiz from mdl_quiz where course = '$idcurso' and timeopen >= '$unix_timestamp_inicio' and timeopen <= '$unix_timestamp_fim'";

$resultado_atividades = mysql_query($sql_atividade,$conexao2) or die (mysql_error() ."ERRO 9");

while($dados3 = mysql_fetch_array($resultado_atividades)){

$n_quiz = $dados3['n_quiz'];



}





$sql_atividade_realizada= "select count(*) as n_quiz from mdl_quiz_grades where quiz in ( select id from mdl_quiz where course = '$idcurso' and timeopen >= '$unix_timestamp_inicio' and timeopen <= '$unix_timestamp_fim')  and timemodified >= '$unix_timestamp_inicio' and timemodified <= '$unix_timestamp_fim' and userid='$info9[$i]'";

$resultado_atividade_realizada = mysql_query($sql_atividade_realizada,$conexao2) or die (mysql_error() ."ERRO 10");

while($dados4 = mysql_fetch_array($resultado_atividade_realizada)){

$n_realizada = $dados4['n_quiz'];



}







$score = ($n_realizada / $n_quiz) * 300;

$score = $score + $acoes_afirmativas;







$sql="INSERT INTO senuc_score_geral (categoria,cpf,presencas,ano,mes,dias_funcionamento,idnucleo,data_insercao,operador,idregional,acoes_afirmativas,atividades_elaboradas,atividades_realizadas,score)  values('".$categoria."','".$info3[$i]."','".$info4[$i]."','".$ano_referencia."','".$mes_referencia."','".$dias_letivos."','".$idnucleo."','".$hoje."','".$operador."','".$idregional."','".$acoes_afirmativas."','".$n_quiz."','".$n_realizada."','".$score."')";

$result = mysql_query($sql,$conexao1)or die (mysql_error()."ERRO CALCULA AÇÔES");;



























}



}

}

}

}



}

}

}

}



}



//print_r($_POST);



// 0 - VERIFICA AS METAS DO NUCLEO



$sql_score= "select * from senuc_nucleo where id = '$idnucleo'";

$resultado_score = mysql_query($sql_score,$conexao1) or die (mysql_error()."ERRO 5.1" );

while($dados = mysql_fetch_array($resultado_score)){

$meta_funcionamento = $dados['meta_funcionamento'];

$meta_alunos = $dados['alunos'];	

$min_presenca_coordenador = $dados['min_presenca_coordenador'];	$min_presenca_professor = $dados['min_presenca_professor'];	

$min_presenca_aluno = $dados['min_presenca_aluno'];	

$min_atividades = $dados['min_atividades'];	

$limite_alunos_por_coordenador = $dados['limite_alunos_por_coordenador'];	

$tipo_nucleo = $dados['tipo'];	

}







//verificar se já foi criado regsitro score para o ano e mes 

$sql_verifica= "select * from senuc_score where idnucleo = '$idnucleo' and mes='$mes_referencia' and ano='$ano_referencia'";

$resultado = mysql_query($sql_verifica,$conexao1)  or die (mysql_error() ."ERRO 2");

$linhas = mysql_num_rows($resultado);

if($linhas==0){

$sql3="INSERT INTO senuc_score(idnucleo,idregional,tipo_nucleo,ano,mes,dias_funcionamento,operador,data_insercao)  values('".$idnucleo."','".$idregional."','".$tipo_nucleo."','".$ano_referencia."','".$mes_referencia."','".$dias_letivos."','".$operador."','".$hoje."')";

$result3 = mysql_query($sql3,$conexao1) or die (mysql_error() ."ERRO 3");

}



$sql2="UPDATE senuc_score set ".$categoria_update." = ".$total_pessoas." , operador= '".$operador."' , data_insercao = '".$hoje."' where idnucleo = '$idnucleo' and mes='$mes_referencia' and ano='$ano_referencia'"; 

$result2 = mysql_query($sql2,$conexao1) or die (mysql_error()."ERRO 4");



//CALCULO DE SCORE







//1 - CALCULA QUANTIDADE DE PROFESSORES,ALUNOS E COORDENADORES



$sql_score= "select * from senuc_score where idnucleo = '$idnucleo' and mes='$mes_referencia' and ano='$ano_referencia'";

$resultado_score = mysql_query($sql_score,$conexao1) or die (mysql_error()."ERRO 5" );

while($dados = mysql_fetch_array($resultado_score)){

$n_professores = $dados['professores'];

$n_alunos = $dados['alunos'];	

$n_coordenadores = $dados['coordenadores'];	

	

}



//2 - CALULCA FREQUENCIAS



$sql_frequencias1= "select sum(dias_abertura) as dias_abertura, sum(presencas) as presencas from senuc_frequencias where idnucleo = '$idnucleo' and mes='$mes_referencia' and ano='$ano_referencia' and categoria=1";

$resultado_frequencias1 = mysql_query($sql_frequencias1,$conexao1) or die (mysql_error() ."ERRO 6");

while($dados21 = mysql_fetch_array($resultado_frequencias1)){

$dias_abertura1 = $dados21['dias_abertura'];

$presencas1 = $dados21['presencas'];	



}





$sql_frequencias2= "select sum(dias_abertura) as dias_abertura, sum(presencas) as presencas from senuc_frequencias where idnucleo = '$idnucleo' and mes='$mes_referencia' and ano='$ano_referencia' and categoria=2";

$resultado_frequencias2 = mysql_query($sql_frequencias2,$conexao1) or die (mysql_error() ."ERRO 7");

while($dados22 = mysql_fetch_array($resultado_frequencias2)){

$dias_abertura2 = $dados22['dias_abertura'];

$presencas2 = $dados22['presencas'];	



}

$sql_frequencias3= "select sum(dias_abertura) as dias_abertura, sum(presencas) as presencas from senuc_frequencias where idnucleo = '$idnucleo' and mes='$mes_referencia' and ano='$ano_referencia' and categoria=3";

$resultado_frequencias3 = mysql_query($sql_frequencias3,$conexao1) or die (mysql_error() ."ERRO 8");

while($dados23 = mysql_fetch_array($resultado_frequencias3)){

$dias_abertura3 = $dados23['dias_abertura'];

$presencas3 = $dados23['presencas'];	



}



$frequencia_media_coordenadores = ($presencas1 / $dias_abertura1) * 100;

$frequencia_media_professores = ($presencas2 / $dias_abertura2) * 100;

$frequencia_media_alunos = ($presencas3 / $dias_abertura3) * 100;





//3- CALCULA ATIVIDADES MOODLE







// criar time stamps

$formated_datetime_inicio = DATE($data_inicio);

$formated_datetime_fim = DATE($data_fim);



//converter para UNIX TIME

$unix_timestamp_inicio = STRTOTIME($formated_datetime_inicio);

$unix_timestamp_fim = STRTOTIME($formated_datetime_fim);



$sql_atividade= "select count(*) as n_quiz from mdl_quiz where course = '$idcurso' and timeopen >= '$unix_timestamp_inicio' and timeopen <= '$unix_timestamp_fim'";

$resultado_atividades = mysql_query($sql_atividade,$conexao2) or die (mysql_error() ."ERRO 9");

while($dados3 = mysql_fetch_array($resultado_atividades)){

$n_quiz = $dados3['n_quiz'];



}





$sql_atividade_realizada= "select count(*) as n_quiz from mdl_quiz_grades where quiz in ( select id from mdl_quiz where course = '$idcurso' and timeopen >= '$unix_timestamp_inicio' and timeopen <= '$unix_timestamp_fim')  and timemodified >= '$unix_timestamp_inicio' and timemodified <= '$unix_timestamp_fim'";

$resultado_atividade_realizada = mysql_query($sql_atividade_realizada,$conexao2) or die (mysql_error() ."ERRO 10");

while($dados4 = mysql_fetch_array($resultado_atividade_realizada)){

$n_realizada = $dados4['n_quiz'];



}













 



// 4- RESULTADO DO CÁLCULO E INSERÇAO DE SCORE



// 4.1-  CALCULA ALUNOS EM RELAÇAO A METAS DE ALUNOS

if($n_alunos<$meta_alunos){

$scorena	= 50;

	

}else {

	$scorena	= 100;

}

// 4.2-  CALCULA DIA LETIVOS RELAÇAO A META DE ABERTURA

if($dias_letivos< $meta_funcionamento){

$scorefunc	= 50;

	

}else {

	$scorefunc	= 100;

}



// 4.3 - CALCULA NUMERO DE ALUNOS POR COORDEANDOR E COMPARA COM META

$n_limit = ($n_alunos / $n_coordenadores);

if($n_limit < $limite_alunos_por_coordenador){

	$scorelimit = 50;

}else{

		$scorelimit = 100;

}



// 4.3-  CALCULA FREQ ALUNOS EM RELAÇAO A METAS DE  FEQ. ALUNOS

if($frequencia_media_coordenadores < $min_presenca_coordenador){

$scorec=$frequencia_media_coordenadores * 0.7; // max 50

}else{

$scorec=$frequencia_media_coordenadores * 1; // max 100	

}



if($frequencia_media_professores < $min_presenca_professor){

$scorep=$frequencia_media_professores * 0.7; //max 50}

}

else{$scorep=$frequencia_media_professores * 1; //max 100}

}

if($frequencia_media_alunos < $min_presenca_aluno){

$scorea=$frequencia_media_alunos * 1.0; // max 100

}else{$scorea=$frequencia_media_alunos * 2.0; // max 200

}



/// COMPARA ATIVIDADES ELABORADAS COM META DE ATIVIDADES

if($n_quiz < $min_atividades){

if($n_quiz==0){	$atividades=0;}

else{ $atividades_elaboradas= 50;

}}

else {

		

$atividades_elaboradas=100;//max 300

	}



/// COMPARA PARTICIPAÇAO DE ALUNOS NAS ATIVIDADES ELABORADAS COM META DE ATIVIDADES

if($n_quiz < $min_atividades){

if($n_quiz==0){	$atividades=0;}

else{ $atividades_realizadas=$n_realizada/$n_alunos*$n_quiz *100;//max 300



}}

else {

		

$atividades_realizadas=$n_realizada/$n_alunos*$n_quiz *200;//max 300

	}



		



$score_total=0;

$score_total = $scorena + $scorefunc + $scorelimit + $scorec + $scorea + $scorep+ $atividades_elaboradas + $atividades_realizadas ; // max 1000

include "configbd.php";





$sql12="UPDATE senuc_score set score = '$score_total' , meta_alunos = '$meta_alunos', meta_funcionamento = '$meta_funcionamento' , alunos_por_coordenador= '$n_limit' ,meta_alunos_por_coordenador ='$limite_alunos_por_coordenador'   ,

freq_media_coordenador= '$frequencia_media_coordenadores' , min_freq_coordenador = '$min_presenca_coordenador', freq_media_professor= '$frequencia_media_professores' , min_freq_professor ='$min_presenca_professor'  ,freq_media_aluno='$frequencia_media_alunos' , min_freq_aluno = '$min_presenca_aluno', meta_atividades='$min_atividades' ,

atividades_elaboradas='$atividades_elaboradas' , atividades_realizadas='$atividades_elaboradas'   where idnucleo ='$idnucleo' and mes='$mes_referencia' and ano='$ano_referencia'"; 



$result12 = mysql_query($sql12,$conexao1) or die (mysql_error() ."ERRO 11");







$sql13="UPDATE senuc_nucleo set ultimo_score = ".$score_total." , data_ultimo_score= '".$hoje."'   where id ='$idnucleo'"; 

$result13 = mysql_query($sql13,$conexao1) or die (mysql_error() ."ERRO 12");









echo "<script>";

echo "alert('DADOS INSERIDOS COM SUCESSO !');";

echo "window.close();";

echo"</script>";

exit;







}

else{

echo "<script>";

echo "alert('JÁ FORAM INSERIDAS FREQUENCIAS PARA O MES SOLICITADO !');";

echo "window.close();";

echo"</script>";

exit;



}









?>

